Bug 152320 - no xauth entry for non-UNIX domain socket display
no xauth entry for non-UNIX domain socket display
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-28 10:47 EST by Aaron Gaudio
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Gaudio 2005-03-28 10:47:21 EST
Description of problem:
When entering a gnome session, there is an xauth entry added for the local
display. However, the only display that is set is "host/unix:0". If I want to
allow remote computers to access my display (and I do), I need to add the xauth
key for the display named "host:0". The other info is the same, but currently
have to manually edit the xauth line to remove the "/unix".

Version-Release number of selected component (if applicable):
gnome-session-2.8.0-4

How reproducible:
Always

Steps to Reproduce:
1. Log into a gnome session.
2. In a terminal, execute 'xauth list :0' to see all keys for the local display.
  
Actual results:
The only matching entry is something like this:
host/unix:0  MIT-MAGIC-COOKIE-1  ba0935474cbbe13d2ec448c1e0ca5b51

Expected results:
There should be (at least) an entry that looks like this:
host:0  MIT-MAGIC-COOKIE-1  ba0935474cbbe13d2ec448c1e0ca5b51

(note the lack of "/unix")

Additional info:
Comment 1 Matthew Miller 2006-07-10 17:09:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Ray Strode [halfline] 2007-08-14 11:41:02 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.